NeuroLate

List projects

GET
/ext/v1/projects

Projects of the key's team, newest first. Projects are created on the website. Free.

Authorization

apiKey
headerAuthorizationBearer <nlk_… (team API key)>

Query Parameters

search?string

Substring of the name or the original name, case-insensitive.

archived?boolean

true — only archived, false — only active; omitted — both.

page?integer
Formatint32
Default0
size?integer
Range1 <= value <= 100
Default30

Response Body

A page of projects.

application/json
  1. response
items?array<>
page?integer
Formatint32
size?integer
Formatint32
total?integer
Formatint64
Example Request
curl -X GET 'https://api.neurolate.com/ext/v1/projects'
Example Response
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "originalName": "string",      "type": "MANGA",      "originalLanguage": "AR",      "targetLanguage": "AR",      "readingDirection": "LTR",      "archived": true,      "createdAt": "2019-08-24T14:15:22Z"    }  ],  "page": 0,  "size": 0,  "total": 0}